/* -*- c++ -*- */
#ifndef AKAXISO_AKAXISO_H__
#define AKAXISO_AKAXISO_H__

/** @file akaxiso.h */
#include <akaxiso/configuration.h>
#include <akaxiso/xml_serializer.h>
#include <akaxiso/yggdrasil/ygg_parser.h>
#include <akaxiso/classes/namespaces.h>
#include <akaxiso/classes/any.h>
#include <akaxiso/classes/deep_ptr.h>

#ifdef USE_XERCESC
#include <memory.h> /* {BCB6} */
#include <akaxiso/xerces/xerces_parser.h>
#endif

namespace aka2 {
  void initialize();
  void use_xerces_transcoder(bool use);
  void uninitialize();
}

#endif /* AKAXISO_AKAXISO_H__ */
